Bug 463226 - Review Request: ace - Appliance Configuration Engine
Review Request: ace - Appliance Configuration Engine
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Lutterkort
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-22 12:53 EDT by Bryan Kearney
Modified: 2013-04-30 19:40 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-25 18:27:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lutter: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Bryan Kearney 2008-09-22 12:53:14 EDT
Spec URL: http://bkearney.fedorapeople.org/ace.spec
SRPM URL: http://bkearney.fedorapeople.org/ace-0.0.3-2.fc9.src.rpm
Description: Appliance Configuration Engine which is part of the thincrust tooling. It provides boot time configuration of the appliance.
Comment 1 David Lutterkort 2008-09-23 15:02:18 EDT
  OK - Package name
  OK - License info is accurate
  OK - License tag is correct and licenses are approved
  OK - License files are installed as %doc
  OK - Specfile name
  OK - Specfile is legible
  OK - No prebuilt binaries included
  FIX - BuildRoot value (one of the recommended values)

  Use one of the values listed here: https://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag

  OK - PreReq not used
  FIX - Source md5sum matches upstream

  tarball is not available upstream; since you are upstream, you should
  publish a tarball for every release

  FIX - No hardcoded pathnames

  instead of binHome, use %{_bindir}
  instead of initHome, use %{_initrddir}
  instead of /usr/share in aceHome use %{_datadir}
  would prefer macro 'rubySiteHome' is called 'ruby_sitelibdir' for conistency

  OK - Package owns all the files it installs
  OK - 'Requires' create needed unowned directories
  OK - Package builds successfully on i386 and x86_64 (mock)
  OK - BuildRequires sufficient
  OK - File permissions set properly
  FIX - Macro usage is consistent
  
  use install -p or cp -pr instead of %{__cp} -R

  OK - rpmlint is silent
Comment 2 Bill Nottingham 2008-09-23 16:17:17 EDT
chckonfig usage is completely broken. Please see examples @ http://fedoraproject.org/wiki/Packaging/SysVInitScript#Initscripts_in_spec_file_scriptlets
Comment 3 Bryan Kearney 2008-09-24 09:25:13 EDT
Thank you both for the comments. I have made the changes and uploaded the new files. 

Spec URL: http://bkearney.fedorapeople.org/ace.spec
SRPM URL: http://bkearney.fedorapeople.org/ace-0.0.3-3.fc9.src.rpm

rmlint clean
builds clean in koji for f9
Comment 4 Bryan Kearney 2008-10-02 15:08:28 EDT
Per a comment from Bill Nottingham, I have moved all ace-* modules into a subpackge. The chaneged srpm and spec file are below:


Spec URL: http://bkearney.fedorapeople.org/ace.spec
SRPM URL: http://bkearney.fedorapeople.org/ace-0.0.3-4.fc9.src.rpm


rpmlint is clean
builds in koji on f9:  http://koji.fedoraproject.org/koji/taskinfo?taskID=857555
Comment 5 David Lutterkort 2008-10-15 15:21:23 EDT
Looks good now

APPROVED

Please follow http://fedoraproject.org/wiki/CVSAdminProcedure and import
the package. Close this bug as RAWHIDE once it's been successfully imported
and built.
Comment 6 Bryan Kearney 2008-10-15 15:32:47 EDT
New Package CVS Request
=======================
Package Name: ace
Short Description: Appliance Configuration Engine
Owners: bkearney
Branches: F-9 F10
InitialCC: None
Comment 7 Kevin Fenzi 2008-10-15 17:53:27 EDT
cvs done.
Comment 8 David Lutterkort 2009-09-25 18:27:40 EDT
Closed, since it's been done for a while

Note You need to log in before you can comment on or make changes to this bug.